[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#552092: marked as done (Cannot purge: invoke-rc.d: initscript trousers, action "stop" failed.)

Your message dated Sun, 22 Nov 2009 19:06:04 +0000
with message-id <E1NCHl6-0007Hb-6I@ries.debian.org>
and subject line Bug#552092: fixed in trousers 0.3.2-7
has caused the Debian Bug report #552092,
regarding Cannot purge: invoke-rc.d: initscript trousers, action "stop" failed.
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

552092: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=552092
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: trousers
Version: 0.3.1-10
Severity: serious


trousers does not seem to work for me, so I want to purge it. But
purging trousers does not work:

# dpkg --purge trousers
(Reading database ... 264922 files and directories currently installed.)
Removing trousers ...
Stopping Trusted Computing daemon: invoke-rc.d: initscript trousers, action "stop" failed.
dpkg: error processing trousers (--purge):
 subprocess installed pre-removal script returned error exit status 1
Starting Trusted Computing daemon: tcsd.
Errors were encountered while processing:

A work around is to put an "exit 0" at the beginning of /etc/init.d/trousers



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages trousers depends on:
ii  adduser                       3.111      add and remove users and groups
ii  libc6                         2.9-25     GNU C Library: Shared libraries
ii  libssl0.9.8                   0.9.8k-5   SSL shared libraries
pn  libtspi1                      <none>     (no description available)

trousers recommends no packages.

trousers suggests no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: trousers
Source-Version: 0.3.2-7

We believe that the bug you reported is fixed in the latest version of
trousers, which is due to be installed in the Debian FTP archive:

  to main/t/trousers/libtspi-dev_0.3.2-7_amd64.deb
  to main/t/trousers/libtspi1_0.3.2-7_amd64.deb
  to main/t/trousers/trousers-dbg_0.3.2-7_amd64.deb
  to main/t/trousers/trousers_0.3.2-7.diff.gz
  to main/t/trousers/trousers_0.3.2-7.dsc
  to main/t/trousers/trousers_0.3.2-7_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552092@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Laurent Bigonville <bigon@debian.org> (supplier of updated trousers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Sun, 22 Nov 2009 19:39:32 +0100
Source: trousers
Binary: trousers trousers-dbg libtspi1 libtspi-dev
Architecture: source amd64
Version: 0.3.2-7
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Laurent Bigonville <bigon@debian.org>
 libtspi-dev - open-source TCG Software Stack (development)
 libtspi1   - open-source TCG Software Stack (library)
 trousers   - open-source TCG Software Stack (daemon)
 trousers-dbg - open-source TCG Software Stack (debug)
Closes: 552092 552489
 trousers (0.3.2-7) unstable; urgency=low
   * QA upload.
   * debian/trousers.init:
     - Don't return failure when stopping daemon and daemon is already
       stopped (Closes: #552092)
     - Use LSB functions to display messages
     - Try to be a little bit more LSB compilant with exit values
     - Run daemon as tss user
     - Remove pid file on stop
     - Use status_of_proc to get daemon status
   * debian/trousers.postinst:
     - Don't chown tcsd daemon to tss user (Closes: #552489)
     - Set shell as /bin/false instead of /usr/sbin/nologin for tss user
     - Chmod /var/lib/tpm as 0700 as the daemon do it anyway when starting
     - Also provide "trousers" to fix init.d-script-does-not-provide-itself
   * debian/control: Remove duplicate section to please lintian
   * debian/patches/11-fix-manminus.patch: Fix hyphen-used-as-minus-sign
   * debian/watch: Add watch file
 6fb1363b40ba7a9042444962748d4df6ff8b322c 1091 trousers_0.3.2-7.dsc
 5e0b887c779bcda254453403c902a9a4727f6806 15221 trousers_0.3.2-7.diff.gz
 56b087a8174583515fe86e023b4b0e28eb070e59 146712 trousers_0.3.2-7_amd64.deb
 a10525c01a1bc7fd53850f422e07528d3a067281 577558 trousers-dbg_0.3.2-7_amd64.deb
 ffd5b428dc4f6a1f7dfe1322949e766fede7aa56 196050 libtspi1_0.3.2-7_amd64.deb
 692b7ad8949ea4f3d9f9367f4d223b8dde583cec 658700 libtspi-dev_0.3.2-7_amd64.deb
 3fa0394d14a0ce9582928cb0c4014851e125e99e4669ca915753ed54939d1ee4 1091 trousers_0.3.2-7.dsc
 82451ac58d1344583c4507c5fc4d097daec09256e73d638894edfe74642aa66f 15221 trousers_0.3.2-7.diff.gz
 58d408dcfd8af6b603106ce45b67289d9c3d22a029276a09a1a05bd4c20e6bd8 146712 trousers_0.3.2-7_amd64.deb
 c058c63c041c808efdb9f2b7910ca6243862f1655346797a3fd113cad69f0d55 577558 trousers-dbg_0.3.2-7_amd64.deb
 ab1bf276bd5ab6817a8c6a048db2fdd797211332e8720fb6dea704127cabc758 196050 libtspi1_0.3.2-7_amd64.deb
 d0ed674c7db438f06c04226684333cd97c636d9e9195669348650e33f4983afc 658700 libtspi-dev_0.3.2-7_amd64.deb
 683367b72f8ac557cb5e6d60c1cce11b 1091 admin optional trousers_0.3.2-7.dsc
 6c378757e0eed1a980a739a3357d59fb 15221 admin optional trousers_0.3.2-7.diff.gz
 ace81d08e5af5590ffb2703e7429ad58 146712 admin optional trousers_0.3.2-7_amd64.deb
 c762fb96899afec5395045e7195ea1d7 577558 debug extra trousers-dbg_0.3.2-7_amd64.deb
 39f5afda0d181048d858d87028e06a9d 196050 libs optional libtspi1_0.3.2-7_amd64.deb
 f63ff3da94e04298ab74f8f64364ee88 658700 libdevel optional libtspi-dev_0.3.2-7_amd64.deb

Version: GnuPG v1.4.9 (GNU/Linux)


--- End Message ---

Reply to: